System Requirements

This page spells out the dependencies you'll need to install and deploy Grey Matter.

We require the following dependencies to run the suite of Grey Matter core microservices. Flexibility is key when it comes to microservice architectures, so we keep hard dependencies to a minimum.

Core Requirements

Dependency

Version

Component

Service

Feature

Prometheus

2.7+

Sense

Intel 360

Historical/Aggregate Metrics

PostgresSQL

10.x,11.x

Sense

SLO

Setting/viewing service level objectives

MongoDB

3.6,4.0

Platform

Data

Hard dependency of Data Platform Service

Object Store

2006-03-01 (latest)

Platform

Data

Optional

Dependency

Version

Component

Service

Feature

Kafka

2.3+

Sense

Sidecar

Observables sent to Kafka queue

Jaegar/Zipkin

1.x

Sense

Sidecar

Distributed Tracing

Kibana

7.x

Sense

N/A

Visualizations and analysis for observables

Redis

5.x

Fabric

JWT-Security

HA of JWT security service

SPIRE

0.8+

Fabric

Sidecar

Automatic mTLS certificate rotation

Questions

Questions about system requirements?

Create an account at Decipher Support to reach our team.